Index: translator/GenPoly/Specialize.cc
===================================================================
--- translator/GenPoly/Specialize.cc	(revision 51b734528489f81a5af985bfee9aa3b6625b9774)
+++ translator/GenPoly/Specialize.cc	(revision a32b204359041ff1f6ef505a929495bcfe7a54f3)
@@ -61,5 +61,5 @@
 needsSpecialization( Type *formalType, Type *actualType, TypeSubstitution *env )
 {
-  if( env ) {
+  if ( env ) {
     using namespace ResolvExpr;
     OpenVarSet openVars, closedVars;
@@ -67,9 +67,9 @@
     findOpenVars( formalType, openVars, closedVars, need, have, false );
     findOpenVars( actualType, openVars, closedVars, need, have, true );
-    for( OpenVarSet::const_iterator openVar = openVars.begin(); openVar != openVars.end(); ++openVar ) {
+    for ( OpenVarSet::const_iterator openVar = openVars.begin(); openVar != openVars.end(); ++openVar ) {
       Type *boundType = env->lookup( openVar->first );
-      if( !boundType ) continue;
-      if( TypeInstType *typeInst = dynamic_cast< TypeInstType* >( boundType ) ) {
-        if( closedVars.find( typeInst->get_name() ) == closedVars.end() ) {
+      if ( ! boundType ) continue;
+      if ( TypeInstType *typeInst = dynamic_cast< TypeInstType* >( boundType ) ) {
+        if ( closedVars.find( typeInst->get_name() ) == closedVars.end() ) {
           return true;
         }
@@ -87,10 +87,10 @@
 Specialize::doSpecialization( Type *formalType, Expression *actual, InferredParams *inferParams )
 {
-  if( needsSpecialization( formalType, actual->get_results().front(), env ) ) {
+  if ( needsSpecialization( formalType, actual->get_results().front(), env ) ) {
     PointerType *ptrType;
     FunctionType *funType;
-    if( ( ptrType = dynamic_cast< PointerType* >( formalType ) ) && ( funType = dynamic_cast< FunctionType* >( ptrType->get_base() ) ) ) {
+    if ( ( ptrType = dynamic_cast< PointerType* >( formalType ) ) && ( funType = dynamic_cast< FunctionType* >( ptrType->get_base() ) ) ) {
       FunctionType *newType = funType->clone();
-      if( env ) {
+      if ( env ) {
         TypeSubstitution newEnv( *env );
         // it is important to replace only occurrences of type variables that occur free in the
@@ -103,10 +103,10 @@
       UniqueName paramNamer( paramPrefix );
       ApplicationExpr *appExpr = new ApplicationExpr( actual );
-      for( std::list< DeclarationWithType* >::iterator param = thunkFunc->get_functionType()->get_parameters().begin(); param != thunkFunc->get_functionType()->get_parameters().end(); ++param ) {
+      for ( std::list< DeclarationWithType* >::iterator param = thunkFunc->get_functionType()->get_parameters().begin(); param != thunkFunc->get_functionType()->get_parameters().end(); ++param ) {
         (*param)->set_name( paramNamer.newName() );
         appExpr->get_args().push_back( new VariableExpr( *param ) );
       }
       appExpr->set_env( maybeClone( env ) );
-      if( inferParams ) {
+      if ( inferParams ) {
         appExpr->get_inferParams() = *inferParams;
       }
@@ -123,5 +123,5 @@
       
       Statement *appStmt;
-      if( funType->get_returnVals().empty() ) {
+      if ( funType->get_returnVals().empty() ) {
         appStmt = new ExprStmt( noLabels, appExpr );
       } else {
@@ -143,5 +143,5 @@
 {
   // create thunks for the explicit parameters
-  assert( !appExpr->get_function()->get_results().empty() );
+  assert( ! appExpr->get_function()->get_results().empty() );
   PointerType *pointer = dynamic_cast< PointerType* >( appExpr->get_function()->get_results().front() );
   assert( pointer );
@@ -149,5 +149,5 @@
   std::list< DeclarationWithType* >::iterator formal;
   std::list< Expression* >::iterator actual;
-  for( formal = function->get_parameters().begin(), actual = appExpr->get_args().begin(); formal != function->get_parameters().end() && actual != appExpr->get_args().end(); ++formal, ++actual ) {
+  for ( formal = function->get_parameters().begin(), actual = appExpr->get_args().begin(); formal != function->get_parameters().end() && actual != appExpr->get_args().end(); ++formal, ++actual ) {
     *actual = doSpecialization( (*formal)->get_type(), *actual, &appExpr->get_inferParams() );
   }
@@ -161,5 +161,5 @@
   
   // create thunks for the inferred parameters
-  for( InferredParams::iterator inferParam = appExpr->get_inferParams().begin(); inferParam != appExpr->get_inferParams().end(); ++inferParam ) {
+  for ( InferredParams::iterator inferParam = appExpr->get_inferParams().begin(); inferParam != appExpr->get_inferParams().end(); ++inferParam ) {
     inferParam->second.expr = doSpecialization( inferParam->second.formalType, inferParam->second.expr, &appExpr->get_inferParams() );
   }
